/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.CortesiaDireccion;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Shiro
 */
public class RenderCortesiaDireccion implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        CortesiaDireccion cortesiaDireccion = (CortesiaDireccion) o;
        SimpleDateFormat f = new SimpleDateFormat("dd/MM/yyyy");


        Listcell lc = new Listcell(cortesiaDireccion.getCortesiaDireccionId().toString());
        lc.setParent(lstm);

        lc = new Listcell(cortesiaDireccion.getMarca().getDescmarca());
        lc.setParent(lstm);

        lc = new Listcell(cortesiaDireccion.getClaseServicio().getDescclase());
        lc.setParent(lstm);

        lc = new Listcell(cortesiaDireccion.getNumFolioInicio().toString());
        lc.setParent(lstm);

        lc = new Listcell(cortesiaDireccion.getNumFolioFin().toString());
        lc.setParent(lstm);

        lc = new Listcell(cortesiaDireccion.getTipocortesiaDescuento().getPorcdescuento().toString());
        lc.setParent(lstm);

        lc = new Listcell(f.format(cortesiaDireccion.getFecInicioV()));
        lc.setParent(lstm);

        lc = new Listcell(f.format(cortesiaDireccion.getFecFinV()));
        lc.setParent(lstm);

        lstm.setAttribute("data", cortesiaDireccion);

    }
}
